@import '../../mixins/mixin';

.work {
  background-color: $color-light-grey;
  padding-top: 70px;
  .hero{
    h2 {
      padding: 20px 0;
      font-size: 64px;
      span{
        color: $color-yellow;
      }
      @include for-desktop{
        font-size: 45px ;
      }
      @include for-tablet{
        font-size: 35px;
      }
    }
    p{
      font-size: 20px;
      letter-spacing: 1;
      @include for-tablet{
        width: 80% !important;
        text-align: justify !important;
      }
    }
  }
  .row{
    position: relative;
    // color: transparent;
    @include for-tablet{
    .col-cercle {
        &:nth-child(5){
          display: flex;
          justify-content: center;
        }
        &:nth-child(6){
          display: flex;
          justify-content: end;
        }
        &:nth-child(4){
          display: flex;
          justify-content: start;
        }
      }      
    }
    @include for-tablet{
      .col-cercle {
          &:nth-child(5){
            justify-content: center;
          }
          &:nth-child(6){
            justify-content: center;
          }
          &:nth-child(4){
            justify-content: center;
          }
        }      
      }
    .curv{
      position: absolute;
      left: 19.5%;
      bottom: 50px;
      width: 300px;
      @include for-tablet{
        left: 31.5%;
        bottom: 26px;
        width: 313px;
        transform: rotate(351deg);
      }
      @include for-LargePhone{
        left: 0%;
        bottom: 25%;
        transform: rotate(87deg);
      }
      &:nth-child(2){
        right: 24%;
        position: absolute;
        left: unset;
        transform: rotate(180deg);
        top: 42px;
        bottom: unset;
        @include for-large-desktop{
          transform: rotate(159deg);
        }
        @include for-desktop{
          transform: rotate(152deg);
          right: 23%;
        }
        @include for-tablet{
          transform: rotate(233deg);
          right: 7%;
          top: 34%;
        }
        @include for-LargePhone{
          transform: rotate(273deg);
          right: 0%;
          top: 27%;
        }
      }
      &:nth-child(3){
        // display: none;
        @include for-tablet {
          display: block;
          bottom: unset;
          right: unset;
          transform: rotate(93deg);
          top: 43%;
          left: 30px;
        }
        @include for-LargePhone{
          display: none;
        }
      }
    }
  }
  .brown-cercle{
    width: 340px;
    height: 340px;
    background: $color-grey;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    @include for-desktop{
      width: 280px;
      height: 280px;
    }
  }
  .cercle{
    @include cercle;
    position: relative;
    &:hover {
      .yellow-cercle{
       animation: mymove 2s linear infinite;
      //  background-color: #fff;
       @keyframes mymove {
         0%{
           top: -6px;
           left: -6px;
         }
         20%{
           top: 0px;
           left: -6px;
         }
         40%{
           top:6px;
           // left: 6px;
         }
         60%{
           top:6px;
           left: 6px;
         }
         80%{
           top:0px;
           left: 7px;
         }
         100%{
           top: -6px;
           left: -6px;
         }
       }
      }
       }
  }
  .yellow-cercle {
    @include cercle;
    background-color: $color-yellow;
    position: absolute;
    top: 7px;
    left: 6px;
  }
  .main-cercle {
    @include cercle;
    background-color: #fff;
    position: relative;    
    text-align: center; 
    z-index: 9;
    img{
      width: 150px;
      margin: 15px 0;
      @include for-desktop{
        width: 120px;
      }
    }
    h3{
      font-weight: $bolder;
      position: absolute;
      top: 58%;
      margin: 0px auto;
      width: 100%;
      @include for-desktop{
        font-size: 24px;
        font-weight: 700;
      }
    }
    p{
      position: absolute;
      top: 70%;
      padding: 0 50px;
      @include for-desktop{
        line-height: 17px;
      }
    }
   
  }
}
.half-cirlce{
  z-index: 9;
}


